---
updatedAt: 2025-06-12T23:57:57.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Get Virtual Account Transactions

Get transactions for a particular virtual account.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/virtual-account-transactions": {
      "get": {
        "summary": "Get Virtual Account Transactions",
        "description": "Get transactions for a particular virtual account.",
        "operationId": "get-virtual-account-transactions",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "virtualAccountId",
            "in": "query",
            "description": "Id of the Virtual Account whose transactions you want to list.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n\t{\n   \"id\":\"txn_594olbe12xv78k23yp\",\n   \"virtualAccountId\":\"vac_9eaxp4n74kv0l58vmy\",\n   \"amount\":\"1.00\",\n   \"currency\":\"GBP\",\n   \"direction\":\"DEBIT\",\n   \"type\":\"PAYMENT\",\n   \"cause\":{\n      \"type\":\"PAYMENT\",\n      \"id\":\"pmt_96ed8b1k34d7zvma4o\",\n      \"reference\":\"Payout\"\n   },\n   \"counterparty\":\"John Doe\",\n   \"createdAt\":1655799356560\n\t},\n   {...},\n   {...},\n]"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errorCode\": \"INVALID_REQUEST_QUERY_PARAMS\",\n    \"message\": \"Invalid query params\",\n    \"warnings\": [\n        {\n            \"position\": \"type\",\n            \"issue\": \"Provided value '...' is not supported. Please use one of the following supported values [FEE,RETURN,TRANSFER,CONVERSION,PAYMENT].\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorCode": {
                      "type": "string",
                      "example": "INVALID_REQUEST_QUERY_PARAMS"
                    },
                    "message": {
                      "type": "string",
                      "example": "Invalid query params"
                    },
                    "warnings": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "position": {
                            "type": "string",
                            "example": "type"
                          },
                          "issue": {
                            "type": "string",
                            "example": "Provided value '...' is not supported. Please use one of the following supported values [FEE,RETURN,TRANSFER,CONVERSION,PAYMENT]."
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errorCode\": \"RESOURCE_MISSING\",\n    \"message\": \"No virtual account found with id vac_xxxxyyyyzzzz.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorCode": {
                      "type": "string",
                      "example": "RESOURCE_MISSING"
                    },
                    "message": {
                      "type": "string",
                      "example": "No virtual account found with id vac_xxxxyyyyzzzz."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/virtual-account-transactions \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```